/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

public class ValidarBeneficiarioTipoNumeroDocumentoNRS extends AbstractRule{
    public void setParams(Object[] params)
    {
        super.setParams(params);
    }

    public boolean performValidation(String field, String registro[],String nombreArchivo) 
    {          
        String siglaBeneficiario = (String) getParams()[0];
         
        String TipoDocumentoRegistroArchivo = registro[new Integer((String) getParams()[1]).intValue()];
        String NumeroDocumentoRegistroArchivo = registro[new Integer((String) getParams()[2]).intValue()];
        String siglaBeneficiarioRegistroArchivo = registro[new Integer((String) getParams()[3]).intValue()];
           
        if (siglaBeneficiario.equals(siglaBeneficiarioRegistroArchivo)) 
        {            
            if (TipoDocumentoRegistroArchivo.equals("") || NumeroDocumentoRegistroArchivo.equals(""))
            {               
                return true;            
            }            
        }
        return false;
                                
    }
}